Subject: Re: bug#42590: 27.0.91; Advice error for interactive commands

From: Yuan Fu <[email-masked]>
Date: Wed, 29 Jul 2020 15:21:52 -0400

> On Jul 29, 2020, at 1:41 PM, Michael Heerdegen <[email-masked]> wrote:
> 
> Yuan Fu <[email-masked]> writes:
> 
>> To reproduce the issue, evaluate
>> 
>> (advice-add 'backward-delete-char-untabify :after 'ignore)
>> 
>> and hit backspace (which should call backward-delete-char-untabify), and
>> an error occurs: apply: Wrong number of arguments: (1 . 2), 0
> 
> Had to think about it.  But it's expected I think: `ignore' is
> interactive, and as documented, its interactive spec overwrites the
> interactive spec of the original function.  And it doesn't fit.
> 
> So everything behaves as documented, it's your specified after advice
> that causes the problem.  Right?
> 
> Michael.

Thanks. I first advised with another interactive function and found this problem. Ignore is just an example. Once I remove the advice the problem went away. I’ll close this report now. 

Yuan